Create new destination for this location.

​

Body·

required

Cancellation token to cancel the operation.

  • Properties: 24

Responses

  • application/json
Request Example for post/v1/destinations
curl https://apiint.api.parpos.com/settings/v1/destinations \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'parpos-access-token: YOUR_SECRET_TOKEN' \
  --header 'parpos-location-token: YOUR_SECRET_TOKEN' \
  --data '{
  "Destinations": [
    {
      "AllItems": true,
      "AutoCloseFutureOrders": false,
      "AutoPrintType": 0,
      "AutoPrintCreditVouchers": true,
      "AutoPrintPrinterId": 2,
      "DeliveryMinutes": 30,
      "Description": "Description for Destination 1",
      "Indicator": "Indicator 1",
      "IsActive": true,
      "IsDelivery": true,
      "KitchenChitHeader": "Header 1",
      "KitchenDescription": "Kitchen Description 1",
      "KitchenVideoColor": {
        "A": 1,
        "B": 255,
        "G": 255,
        "R": 255
      },
      "LimitByDeliveryZone": true,
      "LimitByPostalCode": false,
      "OrderMinimum": 20,
      "PartyLabelOverride": "Party 1",
      "SeatLabelOverride": "Seat 1",
      "SuppressBarcode": false,
      "TipAndSignatureDialogEnabled": true,
      "ValidDeliveryZones": [
        {
          "Coordinates": [
            {
              "Latitude": 1,
              "Longitude": 1,
              "Id": 0
            }
          ],
          "SurchargeId": 555,
          "Name": "Zone 1",
          "Id": 1
        }
      ],
      "ValidPostalCodes": [
        "12345",
        "67890"
      ],
      "Name": "Destination 1",
      "Id": -1
    }
  ],
  "BusinessDate": "2026-05-07T06:24:54.2894139+00:00",
  "IsImmediatePublish": false,
  "ChangesetName": "SaveDestinations"
}'
Success
{
  "Data": [
    {
      "Id": -1,
      "OriginalId": 676652373
    }
  ]
}